@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;600;700;900&display=swap');
@keyframes swing {
    0% {
        transform: rotate(0deg);
    }
    10% {
        transform: rotate(10deg);
    }
    30% {
        transform: rotate(0deg);
    }
    40% {
        transform: rotate(-10deg);
    }
    50% {
        transform: rotate(0deg);
    }
    60% {
        transform: rotate(5deg);
    }
    70% {
        transform: rotate(0deg);
    }
    80% {
        transform: rotate(-5deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

@keyframes sonar {
    0% {
        transform: scale(0.9);
        opacity: 1;
    }
    100% {
        transform: scale(2);
        opacity: 0;
    }
}


#customModal .modal.show .modal-dialog {
    transition: -webkit-transform 0.3s ease-out;
    transition: transform 0.3s ease-out;
    transition: transform 0.3s ease-out, -webkit-transform 0.3s ease-out;
    -webkit-transform: translate(0, 0);
    transform: translate(0, 0);
}

#customModal #ajaxCrudModal
{
    opacity:1;
}

#preorder-produk-container .panel {
    border: none;
    border-radius: 0;
}

#preorder-produk-container .panel-heading {
    padding: 0;
    border-radius: 0;
    border: none;
}

#preorder-produk-container .panel-heading .panel-title {
    padding: 5px;
}

.tbl #preorder-produk-container .summary {
    border: none;
    color: white;
}

body {
    font-family: 'Roboto', sans-serif;
}
.page-wrapper .sidebar-wrapper,
.sidebar-wrapper .sidebar-brand > a,
.sidebar-wrapper .sidebar-dropdown > a:after,
.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a:before,
.sidebar-wrapper ul li a i,
.page-wrapper .page-content,
.sidebar-wrapper .sidebar-search input.search-menu,
.sidebar-wrapper .sidebar-search .input-group-text,
.sidebar-wrapper .sidebar-menu ul li a,
#show-sidebar,
#close-sidebar {
    -webkit-transition: all 0.2s ease;
    -moz-transition: all 0.2s ease;
    -o-transition: all 0.2s ease;
    transition: all 0.2s ease;
}

.login-container .invalid-feedback {
    color: #FF7276;
}

#show-sidebar {
    color: var(--bs-gray-300);
}

#show-sidebar:hover {
    color: white;
}

.sidebar-menu .navbar-nav {
    width: 100%;
}

.sidebar-title {
    color: #aaa;
    font-weight: 400;
    padding: 8px 10px;
    background-color: rgba(0,0,0,.3);
}

.sidebar-item i {
    display: inline-block;
    width: 18px;
}

/*----------------page-wrapper----------------*/

.page-wrapper {
    height: 100vh;
}

.page-wrapper .theme {
    width: 40px;
    height: 40px;
    display: inline-block;
    border-radius: 4px;
    margin: 2px;
}

.page-wrapper .theme {
    background: #1e2229;
}

/*----------------toggeled sidebar----------------*/

.page-wrapper.toggled .sidebar-wrapper {
    left: 0;
}

@media screen and (min-width: 811px) {
    .page-wrapper.toggled .page-content {
        padding-left: 280px;
        padding-bottom: 15px;
    }
}
/*----------------show sidebar button----------------*/
#show-sidebar {
    position: fixed;
    left: 0;
    top: 20px;
    border-radius: 0 4px 4px 0;
    width: 35px;
    transition-delay: 0.3s;
    height: 36px;
    z-index: 1000;
}
.breadcrumb li:first-of-type {
    margin-left: 25px;
}
.page-wrapper.toggled #show-sidebar {
    left: -40px;
}
/*----------------sidebar-wrapper----------------*/

.sidebar-wrapper {
    width: 260px;
    height: 100%;
    max-height: 100%;
    position: fixed;
    top: 0;
    left: -300px;
    z-index: 999;
    display: flex;
    flex-flow: column;
}

.sidebar-wrapper ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.sidebar-wrapper a {
    text-decoration: none;
}


/*--------------------sidebar-brand----------------------*/

.sidebar-wrapper .sidebar-brand {
    padding: 10px;
    color: white;
    text-align: center;
}

.sidebar-wrapper .sidebar-brand > a {
    text-transform: uppercase;
    font-weight: bold;
    flex-grow: 1;
}

.sidebar-wrapper .sidebar-brand #close-sidebar {
    cursor: pointer;
    font-size: 20px;
    float: right;
}
/*--------------------sidebar-header----------------------*/

.sidebar-wrapper .sidebar-header {
    padding: 20px;
    overflow: hidden;
    flex: 0 1 auto;
    display: flex;
}

.sidebar-wrapper .sidebar-header .user-pic {
    width: 60px;
    padding: 2px;
    border-radius: 12px;
    overflow: hidden;
}

.sidebar-wrapper .sidebar-header .user-pic img {
    object-fit: cover;
    height: 100%;
    width: 100%;
}

.sidebar-wrapper .sidebar-header .user-info {
    box-sizing: border-box;
    padding-left: 15px;
}

.sidebar-wrapper .sidebar-header .user-info > span {
    display: block;
}

.sidebar-wrapper .sidebar-header .user-info .user-role {
    font-size: 12px;
}

.sidebar-wrapper .sidebar-header .user-info .user-status {
    font-size: 11px;
    margin-top: 4px;
}

.sidebar-wrapper .sidebar-header .user-info .user-status i {
    font-size: 8px;
    margin-right: 4px;
    color: #5cb85c;
}

/*-----------------------sidebar-search------------------------*/

.sidebar-wrapper .sidebar-search > div {
    padding: 10px 20px;
}

/*----------------------sidebar-menu-------------------------*/

.sidebar-wrapper .sidebar-menu {
    padding-bottom: 10px;
    flex: 1 1 auto;
    overflow-y: scroll;
}

.sidebar-wrapper .sidebar-menu .header-menu span {
    font-weight: bold;
    font-size: 14px;
    padding: 15px 20px 5px 20px;
    display: inline-block;
}

.sidebar-wrapper .sidebar-menu ul li a, .sidebar-wrapper .sidebar-menu ul li form .sidebar-link {
    display: inline-block;
    width: 100%;
    text-decoration: none;
    position: relative;
    padding: 3px 10px;
}

.sidebar-wrapper .sidebar-menu ul li form .sidebar-link {
    color: #E6E6FA;
    text-align: left;
    background: none;
    border: none;
}

.sidebar-wrapper .sidebar-menu ul li a i,
.sidebar-wrapper .sidebar-menu ul li form .sidebar-link i{
    margin-right: 10px;
    font-size: 12px;
    width: 30px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    border-radius: 4px;
    background-color: rgba(0,0,0,.3);
}

.sidebar-wrapper .sidebar-menu ul li a:hover > i::before {
    display: inline-block;
    animation: swing ease-in-out 0.5s 1 alternate;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown > a:after {
    font-weight: 900;
    content: "\f105";
    font-style: normal;
    display: inline-block;
    font-variant: normal;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-align: center;
    background: 0 0;
    position: absolute;
    right: 15px;
    top: 14px;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu ul {
    padding: 5px 0;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li {
    padding-left: 25px;
    font-size: 13px;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a:before {
    content: "\f111";
    font-weight: 400;
    font-style: normal;
    display: inline-block;
    text-align: center;
    text-decoration: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    margin-right: 10px;
    font-size: 8px;
}

.sidebar-wrapper .sidebar-menu ul li a span.label,
.sidebar-wrapper .sidebar-menu ul li a span.badge {
    float: right;
    margin-top: 8px;
    margin-left: 5px;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a .badge,
.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a .label {
    float: right;
    margin-top: 0;
}

.sidebar-wrapper .sidebar-menu .sidebar-submenu {
    display: none;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown.active > a:after {
    transform: rotate(90deg);
    right: 17px;
}

/*--------------------------side-footer------------------------------*/

.sidebar-footer {
    position: absolute;
    width: 100%;
    bottom: 0;
    display: flex;
}

.sidebar-footer > a {
    flex-grow: 1;
    text-align: center;
    height: 30px;
    line-height: 30px;
    position: relative;
}

.sidebar-footer > a .notification {
    position: absolute;
    top: 0;
}

.badge-sonar {
    display: inline-block;
    background: #980303;
    border-radius: 50%;
    height: 8px;
    width: 8px;
    position: absolute;
    top: 0;
}

.badge-sonar:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    border: 2px solid #980303;
    opacity: 0;
    border-radius: 50%;
    width: 100%;
    height: 100%;
    animation: sonar 1.5s infinite;
}

/*--------------------------page-content-----------------------------*/

.page-wrapper .page-content {
    display: inline-block;
    width: 100%;
    padding-left: 20px;
    padding-top: 20px;
    padding-right: 20px;
}


.page-wrapper .page-content {
    overflow-x: hidden;
}

/*------scroll bar---------------------*/

::-webkit-scrollbar {
    width: 5px;
    height: 7px;
}
::-webkit-scrollbar-button {
    width: 0;
    height: 0;
}
::-webkit-scrollbar-thumb {
    background: #525965;
    border: 0 none #ffffff;
    border-radius: 0;
}
::-webkit-scrollbar-thumb:hover {
    background: #525965;
}
::-webkit-scrollbar-thumb:active {
    background: #525965;
}
::-webkit-scrollbar-track {
    background: transparent;
    border: 0 none #ffffff;
    border-radius: 50px;
}
::-webkit-scrollbar-track:hover {
    background: transparent;
}
::-webkit-scrollbar-track:active {
    background: transparent;
}
::-webkit-scrollbar-corner {
    background: transparent;
}


/*-----------------------------chiller-theme-------------------------------------------------*/

 .sidebar-wrapper {
    background: #330066;
}

 .sidebar-wrapper .sidebar-header,
 .sidebar-wrapper .sidebar-search,
 .sidebar-wrapper .sidebar-menu {
    border-top: 1px solid rgba(255,255,255,.25);
}

 .sidebar-wrapper .sidebar-search input.search-menu,
 .sidebar-wrapper .sidebar-search .input-group-text {
    border-color: transparent;
    box-shadow: none;
}

nav span.user-name a {
    color: yellow;
}

 .sidebar-wrapper .sidebar-header .user-info .user-role,
 .sidebar-wrapper .sidebar-header .user-info .user-status,
 .sidebar-wrapper .sidebar-search input.search-menu,
 .sidebar-wrapper .sidebar-search .input-group-text,
 .sidebar-wrapper .sidebar-brand>a,
 .sidebar-wrapper .sidebar-menu ul li a,
 .sidebar-footer>a {
    color: #E6E6FA;
}

 .sidebar-wrapper .sidebar-menu ul li:hover>a,
 .sidebar-wrapper .sidebar-menu .sidebar-dropdown.active>a,
 .sidebar-wrapper .sidebar-header .user-info,
 .sidebar-wrapper .sidebar-brand>a:hover,
 .sidebar-footer>a:hover i {
    color: #ffffff;

}

.sidebar-wrapper .sidebar-menu ul li.sidebar-item.active>a,
.sidebar-wrapper .sidebar-menu ul li:hover>a,
.sidebar-wrapper .sidebar-menu ul li:hover button{
    background-color: rgba(255,255,255,.1);
    color: white;
}

.page-wrapper.toggled #close-sidebar {
    color: #bdbdbd;
}

.page-wrapper.toggled #close-sidebar:hover {
    color: #ffffff;
}

 .sidebar-wrapper ul li:hover a i,
 .sidebar-wrapper .sidebar-dropdown .sidebar-submenu li a:hover:before,
 .sidebar-wrapper .sidebar-search input.search-menu:focus+span,
 .sidebar-wrapper .sidebar-menu .sidebar-dropdown.active a i {
    color: #16c7ff;
    text-shadow:0 0 10px rgba(0, 0, 0, 0.9);
}

 .sidebar-wrapper .sidebar-menu ul li a i,
 .sidebar-wrapper .sidebar-menu ul li button i
 .sidebar-wrapper .sidebar-menu .sidebar-dropdown div,
 .sidebar-wrapper .sidebar-search input.search-menu,
 .sidebar-wrapper .sidebar-search .input-group-text {
    background: rgba(0,0,0,.3);
}

 .sidebar-wrapper .sidebar-menu .header-menu span {
    color: #6c7b88;
}

 .sidebar-footer {
    background: #3a3f48;
    box-shadow: 0 -1px 5px #282c33;
    border-top: 1px solid #464a52;
}

 .sidebar-footer>a:first-child {
    border-left: none;
}

 .sidebar-footer>a:last-child {
    border-right: none;
}

:root {
    --bs-blue: #435ebe;
    --bs-indigo: #6610f2;
    --bs-purple: #6f42c1;
    --bs-pink: #d63384;
    --bs-red: #dc3545;
    --bs-orange: #fd7e14;
    --bs-yellow: #ffc107;
    --bs-green: #198754;
    --bs-teal: #20c997;
    --bs-cyan: #0dcaf0;
    --bs-white: #fff;
    --bs-gray: #6c757d;
    --bs-gray-dark: #343a40;
    --bs-gray-100: #f8f9fa;
    --bs-gray-200: #e9ecef;
    --bs-gray-300: #dee2e6;
    --bs-gray-400: #ced4da;
    --bs-gray-500: #adb5bd;
    --bs-gray-600: #6c757d;
    --bs-gray-700: #495057;
    --bs-gray-800: #343a40;
    --bs-gray-900: #212529;
    --bs-primary: #435ebe;
    --bs-secondary: #6c757d;
    --bs-success: #198754;
    --bs-info: #0dcaf0;
    --bs-warning: #ffc107;
    --bs-danger: #dc3545;
    --bs-light: #f8f9fa;
    --bs-dark: #f2f7ff;
    --bs-body-color: #607080;
    --bs-body-bg: #f2f7ff;
    --bs-border-color: #dee2e6;
    --bs-link-color: #435ebe;
    --bs-link-hover-color: #364b98;
    --bs-code-color: #d63384;
    --bs-highlight-bg: #fcf8e3;
}

.bg-gray-200 {
    background-color: #f0f2f5 !important;
}

.page-wrapper .page-content .breadcrumb {
    background-color: white;
}

.card {
    --bs-card-spacer-y: 1rem;
    --bs-card-spacer-x: 1rem;
    --bs-card-title-spacer-y: 0.5rem;
    --bs-card-border-width: 0;
    --bs-card-border-color: rgba(0,0,0,.125);
    --bs-card-border-radius: 0.75rem;
    --bs-card-box-shadow: 0 4px 6px -1px rgba(0,0,0,.1),0 2px 4px -1px rgba(0,0,0,.06);
    --bs-card-inner-border-radius: 0.75rem;
    --bs-card-cap-padding-y: 0.5rem;
    --bs-card-cap-padding-x: 1rem;
    --bs-card-cap-bg: #fff;
    --bs-card-bg: #fff;
    --bs-card-img-overlay-padding: 1rem;
    --bs-card-group-margin: 0.75rem;
    position: relative;
    display: flex;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: var(--bs-card-bg);
    background-clip: border-box;
    border: var(--bs-card-border-width) solid var(--bs-card-border-color);
    border-radius: var(--bs-card-border-radius);
}

.card, .breadcrumb {
    box-shadow: 0 4px 6px -1px rgba(0,0,0,.1),0 2px 4px -1px rgba(0,0,0,.06);
}

.card .card-header {
    padding: 1.5rem;
}

.card-header:first-child {
    border-radius: var(--bs-card-inner-border-radius) var(--bs-card-inner-border-radius) 0 0;
}

.card-header {
    padding: var(--bs-card-cap-padding-y) var(--bs-card-cap-padding-x);
    margin-bottom: 0;
    background-color: var(--bs-card-cap-bg);
    border-bottom: var(--bs-card-border-width) solid var(--bs-card-border-color);
    font-weight: 600;
}

.card .card-body {
    font-family: Roboto,Helvetica,Arial,sans-serif;
    padding: 1.5rem;
    padding-top: 0;
}

.card-body {
    flex: 1 1 auto;
    padding: var(--bs-card-spacer-y) var(--bs-card-spacer-x);
}

.tbl .summary {
    padding: 5px;
    border-top: 1px solid var(--bs-gray-400);
    color: var(--bs-gray-600);
    border-bottom: 1px solid var(--bs-gray-400);
}

.tbl .kv-table-header {
    background: none;
    text-transform: uppercase;
    font-weight: 600;
}

hr.horizontal.dark {
    background-image: linear-gradient(90deg,transparent,rgba(0,0,0,.4),transparent);
}
hr.horizontal {
    background-color: transparent;
}
hr {
    border: none;
    height: 1px;
    opacity: 0.25;
}

.card-footer {
    border-top: none;
}

.download-option {
    display: inline-block;
    padding: 0 10px;
}

.tbl .table-condensed > thead > tr > th,
.tbl .table-condensed > tbody > tr > th,
.tbl .table-condensed > tfoot > tr > th,
.tbl .table-condensed > thead > tr > td,
.tbl .table-condensed > tbody > tr > td,
.tbl .table-condensed > tfoot > tr > td {
    padding: 2px 5px;
}

.tbl .btn {
    padding: 2px 6px;
}

.tbl .table > thead > tr > th {
    border-bottom: 1px solid #ddd;
}

.login-container {
    border: 1px solid #35354f;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 0.7rem 1.5rem;
    background-color: var(--bs-indigo);
    color: #eee;
    border-radius: 10px;
    box-shadow:inset 0 1px 0 rgba(255,255,255,.2), 0 22px 70px 4px rgba(0,0,0,0.56), 0 0 0 1px rgba(0, 0, 0, 0.0);
}
.login-logo{
    margin: 1.5rem 0;
}
.profpict-container {
    border-radius: 12px;
    box-shadow: 0 4px 6px -1px rgba(0,0,0,.1),0 2px 4px -1px rgba(0,0,0,.06);
    overflow: hidden;
}

.profpict-container img {
    width: 100%;
    height: auto;
}

.pp-icon {
    border-radius: 4px;
    border: 1px solid var(--bs-gray-500);
}

.border-radius-xl {
    border-radius: .75rem;
}
.icon-lg {
    width: 64px;
    height: 64px;
}
.icon-shape {
    width: 6rem;
    height: 6rem;
    background-position: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    vertical-align: middle;
    border-radius: .375rem;
    margin-top: 10px;
}
.bg-gradient-dark {
    background-image: linear-gradient(195deg,#42424a,#191919);
}
.shadow-dark {
    box-shadow: 0 4px 20px 0 rgba(0,0,0,.14),0 7px 10px -5px rgba(64,64,64,.4) !important;
}
.text-center {
    text-align: center !important;
}
.mt-n4 {
    margin-top: -1.5rem !important;
}
.position-absolute {
    position: absolute !important;
}

.text-end {
    text-align: right !important;
}

.icon-lg i {
    top: 31%;
    font-size: 1.5rem;
}
.icon-shape i {
    opacity: .8;
    position: relative;
}

.icon {
    font-size: 3rem;
    line-height: 1;
}

.bg-gradient-primary {
    background-image: linear-gradient(195deg, #ec407a, #d81b60);
}
.bg-gradient-secondary {
    background-image: linear-gradient(195deg, #747b8a, #495361);
}
.bg-gradient-success {
    background-image: linear-gradient(195deg, #66bb6a, #43a047);
}
.bg-gradient-info {
    background-image: linear-gradient(195deg, #49a3f1, #1a73e8);
}
.bg-gradient-warning {
    background-image: linear-gradient(195deg, #ffa726, #fb8c00);
}
.bg-gradient-danger {
    background-image: linear-gradient(195deg, #ef5350, #e53935);
}
.bg-gradient-light {
    background-image: linear-gradient(195deg, #ebeff4, #ced4da);
}
.bg-gradient-dark {
    background-image: linear-gradient(195deg, #42424a, #191919);
}

.text-sm {
    font-size: .875rem !important;
    font-weight: 300;
}
.text-sm {
    line-height: 1.5;
}
.text-capitalize {
    text-transform: capitalize !important;
}

fieldset {
    border: 1px solid green;
    padding: 10px !important;
    margin-bottom: 10px !important;
    font-size: 1.1em;
}

legend {
    padding: 0.2em 0.5em;
    border: 1px solid green;
    color: #0b3e6f;
    font-size: 95%;
    text-align: right;
    width: auto !important;
    margin-bottom: 0 !important;
    font-weight: bold;
    background-color: #eeeeee;
}

.form-img-container img {
    width: 100%;
}

#crud-datatable .pagination {
    padding-left: 10px;
    padding-right: 10px;
}

.tbl .kv-table-header .data-header {
    text-align: center;
    text-transform: none;
    vertical-align: middle;
}

.tbl .kv-table-header .data-header span{
    font-size: 0.9em;
    color: var(--bs-gray-600);
    display: block;
}

.tbl .kv-sort-link {
    position: relative;
}

.tbl .kv-sort-link .kv-sort-icon {
    position: absolute;
    right: -16px;
    top: 0;
}

.tbl .kv-sort-link.asc::after, .tbl .kv-sort-link.desc::after {
    content: "";
    position: absolute;
    right: -18px;
    top: 12px;
    left: unset;
}

.overview {
    margin: 0 0 15px 0; border: 1px solid #AAAAAA; background: white; overflow: hidden;
}

.overview .row .col-sm{
    padding: 0;
    border-top: 1px solid #AAAAAA;
    border-right: 1px solid #AAAAAA;
}

.overview .cerobong{
    padding: 5px;
    font-weight: bold;
}

.overview .waktu{
    padding: 0 5px 5px 5px;
    font-weight: bold;
    font-size: 0.8rem;
    color: var(--bs-gray-600);
}

.overview .row .col-sm:last-of-type{
    border-right: none;
}
.overview .overview-head {
    color: white;
    font-weight: 500;
    text-align: center;
    font-size: 0.8rem;
}

.overview .overview-foot {
    border-top: 1px solid #AAAAAA;
    background-color: var(--bs-gray-200);
    text-align: center;
    font-weight: 400;
    color: #777777;
    text-shadow: 1px 1px 2px #ffffff;
}

.overview .overview-body {
    text-align: center;
    font-weight: 600;
    font-size: 2em;
    color: #333333;
}

.highlight {
    font-weight: bold;
    color: purple;
}

.third label {
    display: inline-block;
    box-sizing: border-box;
    width: 30%;
    overflow: hidden;
}

.styled-table {
    border-collapse: collapse;
    margin: 25px 0;
    font-size: 0.9em;
    font-family: sans-serif;
    width: 100%;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
}

.styled-table thead tr {
    background-color: #009879;
    color: #ffffff;
    text-align: left;
}

.styled-table th,
.styled-table td {
    padding: 12px 15px;
}

.progress-loading {
    height: 100%;
    width: 100%;
    position: absolute;
    background-color: rgba(0,0,0,.2);
    z-index: 999;
}

#loading-bar-spinner.spinner {
    left: 50%;
    margin-left: -20px;
    top: 50%;
    margin-top: -20px;
    position: absolute;
    z-index: 19 !important;
    -webkit-animation: loading-bar-spinner 400ms linear infinite;
    animation: loading-bar-spinner 400ms linear infinite;
}

#loading-bar-spinner.spinner .spinner-icon {
    width: 40px;
    height: 40px;
    border: solid 4px transparent;
    border-top-color: #00C8B1 !important;
    border-left-color: #00C8B1 !important;
    border-radius: 50%;
}

@-webkit-keyframes loading-bar-spinner {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@keyframes loading-bar-spinner {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@media screen and (max-width: 480px) {
    .tbl .kv-table-wrap th, .kv-table-wrap td {
        display: table-cell;
        width: 100% !important;
        text-align: left;
        font-size: 1em;
    }

    .tbl .kv-table-wrap tr > td:first-child {
        border-top: 1px solid #ddd;
        margin-top: 10px;
        font-size: 1em;
    }
}

@media screen and (max-width: 810px) {
    .page-wrapper.toggled .sidebar-wrapper {
        left: -300px;
    }

    .page-wrapper .sidebar-wrapper {
        left: 0;
    }

    .page-wrapper.toggled #show-sidebar {
        left: 0;
    }
}

@media screen and (max-width: 1200px) {
    .card {
        margin-bottom: 10px;
    }
}

.wrapper-invoice {
    display: flex;
    justify-content: center;
}
.wrapper-invoice .invoice {
    height: auto;
    background: #fff;
    padding: 5vh;
    margin-top: 5vh;
    max-width: 110vh;
    width: 100%;
    box-sizing: border-box;
    border: 1px solid #dcdcdc;
}
.wrapper-invoice .invoice .invoice-information {
    float: right;
    text-align: right;
}
.wrapper-invoice .invoice .invoice-information b {
    color: #0F172A;
}
.wrapper-invoice .invoice .invoice-information p {
    font-size: 2vh;
    color: gray;
}
.wrapper-invoice .invoice .invoice-logo-brand h2 {
    text-transform: uppercase;
    font-family: "Inter", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
    font-size: 2.9vh;
    color: #0F172A;
}
.wrapper-invoice .invoice .invoice-logo-brand img {
    max-width: 50px;
    width: 70%;
    object-fit: fill;
}
.wrapper-invoice .invoice .invoice-head {
    display: flex;
}
.wrapper-invoice .invoice .invoice-head .head {
    width: 100%;
    box-sizing: border-box;
}
.wrapper-invoice .paid {
    color: darkgreen;
}
.wrapper-invoice .unpaid {
    color: darkred;
}
.wrapper-invoice .invoice .invoice-head .client-info {
    text-align: left;
}
.wrapper-invoice .invoice .invoice-head .client-info h2 {
    font-weight: 500;
    letter-spacing: 0.3px;
    font-size: 2vh;
    color: #0F172A;
}
.wrapper-invoice .invoice .invoice-head .client-info p {
    font-size: 2vh;
    color: gray;
}
.wrapper-invoice .invoice .invoice-head .client-data {
    text-align: right;
}
.wrapper-invoice .invoice .invoice-head .client-data h2 {
    font-weight: 500;
    letter-spacing: 0.3px;
    font-size: 2vh;
    color: #0F172A;
}
.wrapper-invoice .invoice .invoice-head .client-data p {
    font-size: 2vh;
    color: gray;
}
.wrapper-invoice .invoice .invoice-body {
    margin-top: 1vh;
}
.wrapper-invoice .invoice .invoice-body .table {
    border-collapse: collapse;
    width: 100%;
}
.wrapper-invoice .invoice .invoice-body .table thead tr th {
    font-size: 2vh;
    border: 1px solid #dcdcdc;
    text-align: left;
    padding: 2px 4px;
    background-color: #eeeeee;
}
.wrapper-invoice table {
    margin-bottom: 0;
}
.wrapper-invoice .invoice .invoice-body .table tbody tr td {
    font-size: 2vh;
    border: 1px solid #dcdcdc;
    text-align: left;
    padding: 2px 4px;
    background-color: #fff;
}
.wrapper-invoice .invoice .invoice-body .table tbody tr td:nth-child(6),
.wrapper-invoice .invoice .invoice-body .table tbody tr td:nth-child(7),
.wrapper-invoice .invoice .invoice-body .table tbody tr td:nth-child(8),
.wrapper-invoice .invoice .invoice-body .table tbody tr td:nth-child(9){
    text-align: right;
}
.wrapper-invoice .invoice .invoice-body .flex-table {
    display: flex;
}
.wrapper-invoice .invoice .invoice-body .flex-table .flex-column {
    width: 100%;
    box-sizing: border-box;
}
.invoice-head table {
    font-size: 2vh;
}
.wrapper-invoice .invoice .invoice-body .flex-table .flex-column .table-subtotal {
    border-collapse: collapse;
    box-sizing: border-box;
    width: 100%;
}
.wrapper-invoice .invoice .invoice-body .flex-table .flex-column .table-subtotal tbody tr td {
    font-size: 2vh;
    border-bottom: 1px solid #dcdcdc;
    text-align: left;
    padding: 2px 4px;
    background-color: #fff;
}
.wrapper-invoice .invoice .invoice-body .flex-table .flex-column .table-subtotal tbody tr td:nth-child(2) {
    text-align: right;
}
.wrapper-invoice .invoice .invoice-body .invoice-total-amount {
    margin-top: 1rem;
}
.wrapper-invoice .invoice .invoice-body .invoice-total-amount p {
    font-weight: bold;
    color: #0F172A;
    text-align: right;
    font-size: 2vh;
}
.wrapper-invoice .invoice .invoice-footer {
    margin-top: 4vh;
}
.wrapper-invoice .invoice .invoice-footer p {
    font-size: 1.7vh;
    color: gray;
}

.wrapper-invoice p {
    margin:0;
}

.copyright {
    margin-top: 2rem;
    text-align: center;
}
.copyright p {
    color: gray;
    font-size: 1.8vh;
}

@media print {
    .table thead tr th {
        -webkit-print-color-adjust: exact;
        background-color: #eeeeee !important;
    }

    .copyright {
        display: none;
    }
}
.rtl {
    direction: rtl;
    font-family: "Inter", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}
.rtl .invoice-information {
    float: left !important;
    text-align: left !important;
}
.rtl .invoice-head .client-info {
    text-align: right !important;
}
.rtl .invoice-head .client-data {
    text-align: left !important;
}
.rtl .invoice-body .table thead tr th {
    text-align: right !important;
}
.rtl .invoice-body .table tbody tr td {
    text-align: right !important;
}
.rtl .invoice-body .table tbody tr td:nth-child(2) {
    text-align: left !important;
}
.rtl .invoice-body .flex-table .flex-column .table-subtotal tbody tr td {
    text-align: right !important;
}
.rtl .invoice-body .flex-table .flex-column .table-subtotal tbody tr td:nth-child(2) {
    text-align: left !important;
}
.rtl .invoice-body .invoice-total-amount p {
    text-align: left !important;
}

.batch-wrapper {
    border: 1px solid #bbbbbb;
    padding: 2px 5px;
    display: inline-block;
    margin-right: 5px;
    border-radius: 5px;
    background-color: #eaeaea;
}

.public-wrapper {
    margin: 10px;
    padding: 10px;
}

.public-body {
    background-color: #f1f1f1;
    padding: 0;
    margin: 0;
}